# JasperReports® - Free Java Reporting Library

The **JasperReports Library** is the world's most popular open source reporting engine. 
It is entirely written in Java and it is able to use data coming from any kind of data source and 
produce pixel-perfect documents that can be viewed, printed or exported in a variety of document 
formats including HTML, PDF, Excel, OpenOffice, MS Word and other.
<br/>
<br/>

**Jaspersoft® Studio** - *open source report designer for the JasperReports Library*

The report templates for the *JasperReports Library* are XML files which can be edited using a powerful,
open source, Eclipse-based report designer called [Jaspersoft Studio](https://community.jaspersoft.com/project/jaspersoft-studio).
Using *Jaspersoft Studio*, reports can be built out of any data source and can have their look and feel 
formatted for printing or on-screen reading, or can be deployed to a *JasperReports Server* instance, 
*JasperReports IO* repository or to a custom application using the *JasperReports Library* implementation
and exported to a wide range of output document formats.
<br/>
<br/>

**JasperReports Server Community Edition** - *open source reporting and analytics server*

[JasperReports Server](https://community.jaspersoft.com/project/jasperreports-server) is a stand-alone and embeddable 
reporting server. It provides reporting and analytics that can be embedded into a web or mobile application as well as 
operate as a central information hub for the enterprise by delivering mission critical information on a real-time or 
scheduled basis to the browser, mobile device, or email inbox in a variety of file formats. *JasperReports Server* is 
optimized to share, secure, and centrally manage your Jaspersoft reports and analytic views.
<br/>
<br/>

**JasperReports IO** - *reporting and data visualization in a world of cloud, microservices, and DevOps*

[JasperReports IO](https://community.jaspersoft.com/project/jasperreports-io) is a RESTful reporting and data 
visualization service built on *JasperReports Library*, designed for generating reports and data visualizations in 
modern software architectures. Just as the *JasperReports Library* offers a `Java API` to leverage a powerful and high 
quality reporting engine inside Java applications, *JasperReports IO* offers a `REST API` to leverage the same reporting 
engine from any other software development platform.
